fork.h File Reference
`#include <core/posix/child_process.h>`
`#include <core/posix/standard_stream.h>`
`#include <core/posix/visibility.h>`
`#include <functional>`
Include dependency graph for fork.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| core
| core::posix

## Functions

CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::fork (const std::function< posix::exit::Status()> &main, const StandardStream &flags)
| fork forks a new process and executes the provided main function in the newly forked process. More...
CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::vfork (const std::function< posix::exit::Status()> &main, const StandardStream &flags)
| fork vforks a new process and executes the provided main function in the newly forked process. More...